# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Billboard Class Reference

A Transform that aligns an Actor towards the camera. More...

`#include <Billboard.hpp>`

Inheritance diagram for vl::Billboard:

List of all members.

## Public Member Functions

| Billboard ()
virtual const char * | className ()
| Returns the name of the class.
void | setPosition (const vec3 &pos)
| The billboard position and rotation center.
void | setPosition (Real x, Real y, Real z)
| The billboard position and rotation center.
vec3 | position ()
| The billboard position and rotation center.
void | setAxis (const vec3 &axis)
| The rotation axis in world coordinates. Used only for axis aligned billboards.
const vec3 & | axis () const
| The rotation axis in world coordinates. Used only for axis aligned billboards.
void | setNormal (const vec3 &normal)
| Used only for axis aligned billboards.
const vec3 & | normal () const
| Used only for axis aligned billboards.
virtual void | computeWorldMatrix (Camera *camera=NULL)
EBillboardType | type () const
| The type of the billboard.
void | setType (EBillboardType type)
| The type of the billboard.

## Protected Attributes

vec3 | mAxis
vec3 | mNormal
EBillboardType | mType

## Detailed Description

A Transform that aligns an Actor towards the camera.

## Constructor & Destructor Documentation

Billboard::Billboard | ( |  | ) |

## Member Function Documentation

virtual const char* vl::Billboard::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Transform.

void Billboard::setPosition | ( | const vec3 & | pos | ) |

The billboard position and rotation center.

void vl::Billboard::setPosition | ( | Real | x,
|  | Real | y,
|  | Real | z |
| ) |  |  | `[inline]`

The billboard position and rotation center.

vec3 Billboard::position | ( |  | ) |

The billboard position and rotation center.

void vl::Billboard::setAxis | ( | const vec3 & | axis | ) | `[inline]`

The rotation axis in world coordinates. Used only for axis aligned billboards.

const vec3& vl::Billboard::axis | ( |  | ) | const`[inline]`

The rotation axis in world coordinates. Used only for axis aligned billboards.

void vl::Billboard::setNormal | ( | const vec3 & | normal | ) | `[inline]`

Used only for axis aligned billboards.

const vec3& vl::Billboard::normal | ( |  | ) | const`[inline]`

Used only for axis aligned billboards.

void Billboard::computeWorldMatrix | ( | Camera * | camera = `NULL` | ) | `[virtual]`

Reimplemented from vl::Transform.

EBillboardType vl::Billboard::type | ( |  | ) | const`[inline]`

The type of the billboard.

void vl::Billboard::setType | ( | EBillboardType | type | ) | `[inline]`

The type of the billboard.

## Member Data Documentation

vec3 vl::Billboard::mAxis`[protected]`

vec3 vl::Billboard::mNormal`[protected]`

EBillboardType vl::Billboard::mType`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Billboard.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Billboard.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:33 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.